package esercizi;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class CopyByte {
	
	public static void copy(InputStream is,OutputStream os) throws IOException{
		int t;
		while((t=is.read())!=-1){
			os.write(t);
		}
		os.close();
	}
	
	public static void copy2(InputStream is, OutputStream os) throws IOException{
		int k = 0;
		int t;
		byte[] buffer = new byte[32];
		while((t=is.read())!=-1){
			buffer[k] = (byte)t;
			k++;
			if(k==32){
				os.write(buffer);
				k = 0;
			}	
		}
		if(k!=0){
			os.write(buffer,0,k);
		}
	}
	
	public static void copyBuffered(InputStream is,OutputStream os) throws IOException{
		byte[] bufferReadWrite = new byte[64];
		int length;
		while((length = is.read(bufferReadWrite))!=-1){
			os.write(bufferReadWrite,0,length);
		}
		os.flush();
		os.close();
	}
	
	public static void main(String[] args) throws IOException {
		FileOutputStream fos = new FileOutputStream("char3.txt");
		FileInputStream fis = new FileInputStream("charGenerator.txt");
		copyBuffered(fis,fos);
		fis.close();
		fos.close();
	}

}
